[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

problems compiling the emacspeak server for ttsynth



Hello,
 
I am running oracle enterprise linux 5.0 kernel 2.6.18-8, and have been trying to get emacspeak to work on it.
 
I installed emacs 22.1 from teh gnu.org ftp site, and checked out emacspeak from subversion.
 
I built emacspeak without a problem, and have gotten it to work with espeak as well (thanks to a patch from Lukas Loehrer).
 
Now I am having problems getting the emacspeak server for ttsynth to compile.
 
I installed ttsynth last week, and I was able to compile the ttsynth_say program with minimal problems and it speaks just fine. ttsynth also works with gnome-speech without a problem.
 
When I try to compile the ttsynth server for emacspeak, I get the following error messages:
libtool --mode=compile g++ -g    -O2 -fPIC  -DPIC -pedantic -ansi -Wall  -c atcleci.cpp
 g++ -g -O2 -fPIC -DPIC -pedantic -ansi -Wall -c atcleci.cpp  -fPIC -DPIC -o .libs/atcleci.o
 g++ -g -O2 -fPIC -DPIC -pedantic -ansi -Wall -c atcleci.cpp -o atcleci.o >/dev/null 2>&1
libtool --mode=compile g++ -g    -O2 -fPIC  -DPIC -pedantic -ansi -Wall  -c langswitch.cpp
 g++ -g -O2 -fPIC -DPIC -pedantic -ansi -Wall -c langswitch.cpp  -fPIC -DPIC -o .libs/langswitch.o
langswitch.cpp: In function 'const char* getAnnotation(Tcl_Interp*, int*)':
langswitch.cpp:172: error: invalid conversion from 'const char*' to 'char*'
make: *** [langswitch.lo] Error 1
 
My gcc version is 4.1.1-58 and my tcl version is 8.4.13.
 
Any help would be greatly appreciated.


If you have questions about this archive or had problems using it, please send mail to:

priestdo@cs.vassar.edu No Soliciting!

Emacspeak List Archive | 2007 | 2006 | 2005 | 2004 | 2003 | 2002 | 2001 | 2000 | 1999 | 1998 | Pre 1998

Emacspeak Files | Emacspeak Blog | Search the archive